DTOConstants
Date: 2016-06-25

org.osgi.service.http.runtime.dto

## Class DTOConstants

- java.lang.Object
- - org.osgi.service.http.runtime.dto.DTOConstants

-     public final class DTOConstants
      extends java.lang.Object

  Defines standard constants for the DTOs.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `FAILURE_REASON_EXCEPTION_ON_INIT` An exception occurred during initializing of the service.
    `static int` | `FAILURE_REASON_NO_SERVLET_CONTEXT_MATCHING` No matching `ServletContextHelper`.
    `static int` | `FAILURE_REASON_SERVICE_IN_USE` The service is not registered as a prototype scoped service and is already in use with a servlet context and therefore can't be used with another servlet context.
    `static int` | `FAILURE_REASON_SERVICE_NOT_GETTABLE` The service is registered in the service registry but getting the service fails as it returns `null`.
    `static int` | `FAILURE_REASON_SERVLET_CONTEXT_FAILURE` Matching `ServletContextHelper`, but the context is not used due to a problem with the context.
    `static int` | `FAILURE_REASON_SHADOWED_BY_OTHER_SERVICE` Service is shadowed by another service.
    `static int` | `FAILURE_REASON_UNKNOWN` Failure reason is unknown.
    `static int` | `FAILURE_REASON_VALIDATION_FAILED` The service is registered in the service registry but the service properties are invalid.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FAILURE_REASON_UNKNOWN

          public static final int FAILURE_REASON_UNKNOWN

      Failure reason is unknown.
      See Also:
        Constant Field Values

    - #### FAILURE_REASON_NO_SERVLET_CONTEXT_MATCHING

          public static final int FAILURE_REASON_NO_SERVLET_CONTEXT_MATCHING

      No matching `ServletContextHelper`.
      See Also:
        Constant Field Values

    - #### FAILURE_REASON_SERVLET_CONTEXT_FAILURE

          public static final int FAILURE_REASON_SERVLET_CONTEXT_FAILURE

      Matching `ServletContextHelper`, but the context is not used due to a problem with the context.
      See Also:
        Constant Field Values

    - #### FAILURE_REASON_SHADOWED_BY_OTHER_SERVICE

          public static final int FAILURE_REASON_SHADOWED_BY_OTHER_SERVICE

      Service is shadowed by another service.

      For example, a service with the same service properties but a higher service ranking.

      See Also:
        Constant Field Values

    - #### FAILURE_REASON_EXCEPTION_ON_INIT

          public static final int FAILURE_REASON_EXCEPTION_ON_INIT

      An exception occurred during initializing of the service.

      This reason can only happen for servlets and servlet filters.

      See Also:
        Constant Field Values

    - #### FAILURE_REASON_SERVICE_NOT_GETTABLE

          public static final int FAILURE_REASON_SERVICE_NOT_GETTABLE

      The service is registered in the service registry but getting the service fails as it returns `null`.
      See Also:
        Constant Field Values

    - #### FAILURE_REASON_VALIDATION_FAILED

          public static final int FAILURE_REASON_VALIDATION_FAILED

      The service is registered in the service registry but the service properties are invalid.
      See Also:
        Constant Field Values

    - #### FAILURE_REASON_SERVICE_IN_USE

          public static final int FAILURE_REASON_SERVICE_IN_USE

      The service is not registered as a prototype scoped service and is already in use with a servlet context and therefore can't be used with another servlet context.
      See Also:
        Constant Field Values